// chat-content
.chatbox{
	background: #f1f3f6;
	border-radius: 15px;
	height: 55vh;
	box-shadow:  28px 28px 78px rgba($color: #7a7a7a, $alpha: .3), -28px -28px 78px rgba($color: #fff, $alpha: .3), inset 4px 4px 20px rgba($color: white, $alpha: .5);
	padding: 25px;
	overflow-y: scroll;
	overflow-x: hidden;
	font-family: $font-regular;
	font-size: .7rem;
	color: $label-text;
	border: 2px solid white;
}
.senderbox{
	background: $primary;
	border-radius: 15px 15px 15px 0;
	padding: 12px;
	width: 50%;
	position: relative;
	&::after{
		position: absolute;
		content: '';
		width: 0;
		height: 0;
		left: 0;
		bottom: -18px;
		border-style: solid;
		border-width: 18px 18px 0 0;
		border-color: $primary transparent transparent transparent;
	}
	.senderbox--username{
    display: flex;
      > .senderbox--ava{
        width: 35px;
        border-radius: 50%;
        height: 35px;
        margin: auto 15px;
        overflow: hidden;
          img{
            width: 100%;
            height: 100%;
          }
      }
      > p {
        font-weight: bolder;
      }
	}
	.senderbox--info{
		font-size: .6rem;
		text-align: right;
		margin: 0;
		padding: 0;
		color: rgba($color: #7a7a7a, $alpha: .5);
	}
}
.reciever{
	background: rgba($color: $emerald, $alpha: .3);
	border-radius: 15px 15px 0 15px;
	padding: 12px;
	width: 50%;
	position: relative;
	margin-top: 18px;
	margin-bottom: 18px;
	margin-left: auto;
	&::after{
		position: absolute;
		content: '';
		width: 0;
		height: 0;
		right: 0;
		bottom: -18px;
		border-style: solid;
		border-width: 0 18px 18px 0;
		border-color: transparent rgba($color: $emerald, $alpha: .3) transparent transparent;
	}
	.reciever--info{
		font-size: .6rem;
		text-align: right;
		margin: 0;
		padding: 0;
		color: rgba($color: #7a7a7a, $alpha: .5);
	}
}
.chat-form{
	margin-top: 25px;
	display: flex;
	justify-content: space-around;
	> .chat-form--field{
		width: 90%;
		margin-right: 18px;
	}
}
